#ifndef MMYTH_SCHEDULERECORDING_H_
#define MMYTH_SCHEDULERECORDING_H_

#include <glib.h>

typedef struct _MMythSchedulerUI {
	
	GList *channel_list;
	
	GtkWidget *main_widget;

	GtkWidget *channel_combobox;
	GtkWidget *freq_combobox;
	GtkWidget *hour_spinbutton;
	GtkWidget *min_spinbutton;
	GtkWidget *duration_spinbutton;
	GtkWidget *title_entry;
	GtkWidget *date_button;

	GtkWidget *calendar_dialog;
	GtkWidget *calendar;
	
	guint year_temp, month_temp, day_temp;
} MMythSchedulerUI;

typedef struct {
    long int channel_id;

    struct tm start_tm;

    int duration;
    int frequency;

    GString *title;

} ScheduleEntry;

MMythSchedulerUI* mmyth_schedulerui_new (void);

gboolean mmyth_schedulerui_save (MMythSchedulerUI *scheduler_ui);

void mmyth_schedulerui_cb_schedule_button (GtkButton * button, gpointer user_data);


#endif /*MMYTH_SCHEDULERECORDING_H_*/
